#
# spec file for package html-dtd (Version 2001.11.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  sgml-skel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgml-skel sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         html-dtd
Copyright:    "free" -- different owners (IETF, W3C)
Group:      Applications/Publishing
Provides:     html_dtd
Obsoletes:     html_dtd
BuildArchitectures: noarch
Autoreqprov:  on
Version:      2001.11.7
Release:      0
Summary:      HTML DTDs (Document Type Definitions) + Docs
Source0: http://www.w3.org/MarkUp/html-spec/html-spec-19950922.tar.gz
# Separate files at: http://www.w3.org/TR/REC-html32.html:
Source1: html-3.2.tar.gz
# Separate files at: ftp://ftp.cs.tcd.ie/isohtml:
# Source2: iso-html.tar.gz
Source3: http://www.w3.org/TR/1998/REC-html40-19980424/html40.tgz
Source4: http://www.w3.org/MarkUp/html40-updates/REC-html40-19980424-errata.html
# the real filename is w/o "1"... :
# Source5: http://www.w3.org/TR/html40/html40.tgz
Source5: http://www.w3.org/TR/html40/html401.tgz
Source7: http://www.w3.org/Consortium/Legal/copyright-software.html
Source8: %{name}-README.SuSE
Patch: html_dtd.dif
BuildRoot: %{_tmppath}/%{name}-root

%description
Document Type Definitions (DTDs) for HTML 2.0 (standard), HTML 3.2
(recommendation of the W3 Consortium), HTML 4.0 (Specification of the
W3 Consortium, Draft) and ISO-HTML (draft).  The package
also contains the documentations (v. /usr/share/doc/packages/html-dtd).

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir_wo %{_datadir}/sgml
%define sgml_dir %{sgml_dir_wo}
%define sgml_var_dir $RPM_BUILD_ROOT/var/lib/sgml
%prep
%setup -c -T
mkdir html
(cd html && tar zxf $RPM_SOURCE_DIR/html-spec-19950922.tar.gz)
%setup -T -D -a1
# iso
#%setup -T -D -a2
mkdir html-4.0
(cd html-4.0 && tar zxf $RPM_SOURCE_DIR/html40.tgz \
             && cp -p $RPM_SOURCE_DIR/REC-html40-19980424-errata.html .)
mkdir html-4.01
(cd html-4.01 && tar zxf $RPM_SOURCE_DIR/html401.tgz)
cp -p %{SOURCE7} .
%{INSTALL_DATA} %{SOURCE8} README.SuSE
%patch -p1
find . -type f | xargs chmod 644 
find . -type d | xargs chmod 755

%build
(cd html-4.01
    sed -e 's:\ \([a-zA-Z0-9]*\.\(ent\|dtd\)\)$: %{sgml_dir_wo}/html-4.01/\1:g' \
      HTML4.cat > CATALOG.html-4.01 
    echo "SGMLDECL %{sgml_dir_wo}/html-4.01/HTML4.decl" >> CATALOG.html-4.01 )

%install
find . -name '*.gif' | xargs chmod 644
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# %{INSTALL_DIR} %{sgml_dir}/iso-html
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/{html,html-3.2,html-4.0,html-4.01}
%{INSTALL_DIR} %{sgml_var_dir}
(cd html && %{INSTALL_DATA} catalog *.dtd html.decl ISOlat1.sgml \
     $RPM_BUILD_ROOT%{sgml_dir}/html \
  && %{INSTALL_DATA} CATALOG.html %{sgml_var_dir}/CATALOG.html \
  && rm -f *.ms *.texi Makefile *.sgm)
(cd html-3.2 \
  && %{INSTALL_DATA} HTML32.cat HTML32.dtd ISOlat1.ent \
     $RPM_BUILD_ROOT%{sgml_dir}/html-3.2 \
  && %{INSTALL_DATA} CATALOG.html-3.2 %{sgml_var_dir}/CATALOG.html-3.2)
(cd html-4.0 \
  && %{INSTALL_DATA} *.cat *.decl *.dtd *.ent \
     $RPM_BUILD_ROOT%{sgml_dir}/html-4.0 \
  && %{INSTALL_DATA} CATALOG.html-4.0 %{sgml_var_dir}/CATALOG.html-4.0)
(cd html-4.01 \
  && %{INSTALL_DATA} *.cat *.decl *.dtd *.ent \
     $RPM_BUILD_ROOT%{sgml_dir}/html-4.01 \
  && %{INSTALL_DATA} CATALOG.html-4.01 %{sgml_var_dir}/CATALOG.html-4.01)
#
#
# (cd iso-html \
#   && %{INSTALL_DATA} catalog *.dtd *.ent iso-html.dcl %{sgml_dir}/iso-html  \
#   && %{INSTALL_DATA} CATALOG.iso-html %{sgml_var_dir}/CATALOG.iso-html\
#   && rm -f iso-html.sgml \
#   && ln -sf iso-html.iso-html iso-html.iso.html \
#   && ln -sf strawman.math.iso-html strawman.math.iso.html )
#
# useful links
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/IETF/dtd
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/W3C/{dtd,entities}
# %{INSTALL_DIR} %{sgml_dir}/ISO_15xxx/{entities,dtd}
(cd $RPM_BUILD_ROOT%{sgml_dir}/IETF/dtd \
  && ln -sf ../../html/html.dtd HTML \
  && ln -sf ../../html/html.dtd HTML_2.0 \
  && ln -sf ../../html/html.dtd HTML_Level_2 \
  && ln -sf ../../html/html.dtd HTML_2.0_Level_2 \
  && ln -sf ../../html/html-1.dtd HTML_Level_1 \
  && ln -sf ../../html/html-1.dtd HTML_2.0_Level_1 \
  && ln -sf ../../html/html-s.dtd HTML_Strict \
  && ln -sf ../../html/html-s.dtd HTML_2.0_Strict \
  && ln -sf ../../html/html-s.dtd HTML_Strict_Level_2 \
  && ln -sf ../../html/html-s.dtd HTML_2.0_Strict_Level_2 \
  && ln -sf ../../html/html-1s.dtd HTML_Strict_Level_1 \
  && ln -sf ../../html/html-1s.dtd HTML_2.0_Strict_Level_1 )
(cd $RPM_BUILD_ROOT%{sgml_dir}/W3C/dtd \
  && ln -sf ../../html-3.2/HTML32.dtd HTML_3.2 \
  && ln -sf ../../html-3.2/HTML32.dtd HTML_3.2_Final )
install-dtd.sh -p html-4.0 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f strict.dtd \
               -i '-//W3C//DTD HTML 4.0//EN'
install-dtd.sh -p html-4.0 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f loose.dtd \
               -i '-//W3C//DTD HTML 4.0 Transitional//EN'
install-dtd.sh -p html-4.0 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f frameset.dtd \
               -i '-//W3C//DTD HTML 4.0 Frameset//EN'
install-dtd.sh -p html-4.0 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f HTMLlat1.ent \
               -i '-//W3C//ENTITIES Latin 1//EN//HTML'
install-dtd.sh -p html-4.0 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f HTMLspecial.ent \
               -i '-//W3C//ENTITIES Special//EN//HTML'
install-dtd.sh -p html-4.0 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f HTMLsymbol.ent \
               -i '-//W3C//ENTITIES Symbols//EN//HTML'
install-dtd.sh -p html-4.01 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f strict.dtd \
               -i '-//W3C//DTD HTML 4.01//EN'
install-dtd.sh -p html-4.01 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f loose.dtd \
               -i '-//W3C//DTD HTML 4.01 Transitional//EN'
install-dtd.sh -p html-4.01 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f frameset.dtd \
               -i '-//W3C//DTD HTML 4.01 Frameset//EN'
install-dtd.sh -p html-4.01 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f HTMLlat1.ent \
               -i '-//W3C//ENTITIES Latin 1//EN//HTML'
install-dtd.sh -p html-4.01 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f HTMLspecial.ent \
               -i '-//W3C//ENTITIES Special//EN//HTML'
install-dtd.sh -p html-4.01 -s $RPM_BUILD_ROOT%{sgml_dir} \
               -f HTMLsymbol.ent \
               -i '-//W3C//ENTITIES Symbols//EN//HTML'
pushd $RPM_BUILD_ROOT%{sgml_dir}
  ln -sf ../../../var/lib/sgml/CATALOG.html CATALOG.html
  ln -sf ../../../var/lib/sgml/CATALOG.html-3.2 CATALOG.html-3.2
  ln -sf ../../../var/lib/sgml/CATALOG.html-4.0 CATALOG.html-4.0
  ln -sf ../../../var/lib/sgml/CATALOG.html-4.01 CATALOG.html-4.01
popd
#  && ln -sf ../../../var/lib/sgml/CATALOG.iso-html CATALOG.iso-html
export RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README.SuSE index.html
%doc html
%doc html-3.2
%doc html-4.0
%doc html-4.01
%doc copyright-software.html
# %doc iso-html
%config /var/lib/sgml/CATALOG.*
# %config /var/lib/sgml/CATALOG.iso-html
%dir /usr/share/sgml/W3C
/usr/share/sgml/CATALOG.*
# /usr/share/sgml/CATALOG.iso-html
/usr/share/sgml/IETF
#/usr/share/sgml/ISO_15xxx
/usr/share/sgml/W3C/dtd
/usr/share/sgml/W3C/entities
/usr/share/sgml/html-3.2
/usr/share/sgml/html-4.0
/usr/share/sgml/html-4.01
/usr/share/sgml/html
#/usr/share/sgml/iso-html

%changelog -n html-dtd
* Mon Oct 29 2001 - ke@suse.de
- Fix dangling symlinks.
  Reported by Rainer Klute [# 12061].
- Add sgml-skel to neededforbuild and use it to install links.
- Fix typo.
  Reported by Ulrich Windl [# 12050].
- Add html-dtd-README.SuSE as an own source file and adjust it: xhtml
  was moved to xhtml-dtd on 2001-03-15.
* Thu Mar 15 2001 - ke@suse.de
- Rename html_dtd -> html-dtd.
- Drop xhtml (now available as xhtml-dtd) [#6723].
* Fri Oct 27 2000 - bk@suse.de
- fix gif file permissions (e.g. form_exmpl.gif, was 666).
* Wed Jul 05 2000 - ke@suse.de
- Fix link in index.html (reported by Ulrich Windl).
* Thu Jan 27 2000 - ke@suse.de
- update XHTML to XHTML 1.0 (now a W3C Recommendation).
- use get_version_number.sh.
* Mon Jan 10 2000 - ke@suse.de
- make XHTML active (provide catalog entries).
- use date string as the version number.
- use an rpm macro for the version number ;))) .
* Sun Dec 19 1999 - ke@suse.de
- add new version of XHTML.
* Sun Nov 28 1999 - ke@suse.de
- drop iso-html (copyright is unclear).
- install copyright notice.
- add HTML 4.01 (proposed recommendation) (#1159).
- add XHTML (working draft) and install it as documentation (#1159).
- cleanup the check invocation.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Fri Dec 18 1998 - ke@suse.de
- install CATALOG files at the default locations:
  /var/lib/sgml -> /usr/share/sgml.
* Fri Jul 10 1998 - ke@suse.de
- install ISOlat1.sgml (HTML 2.0).
- fix file permissions.
* Wed May 27 1998 - ke@suse.de
- Update HTML 4.0 Specification (W3C Recommendation 1998-04-24).
* Sun Jan 18 1998 - ke@suse.de
- Update HTML 4.0 Specification (W3C Recommendation 18-Dec-1997).
- index.html: Provide better link for 4.0.
- install HTML 4.0 DTD properly.
  1997-09-27  Karl Eichwalder  <ke@suse.de>
  * Add HTML 4.0 Specification (Draft 1997/09/17).
  * Add index.html.
* Mon Jul 07 1997 - Karl Eichwalder <ke@suse.de>
  * html_dtd.plist: Add link dirs.
* Wed Jul 02 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: Includes the DTDs for HTML 2.0, HTML 3.2, and
  ISO-HTML, plus some docs.
